Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.ptree
Class PTreeSource

    java.lang.Object
      com.saxonica.ptree.PTreeSource

All Implemented Interfaces:
  javax.xml.transform.Source

    public class PTreeSource

extends java.lang.Object
implements javax.xml.transform.Source

A JAXP Source that maps to an XML document represented as a PTree on disk.

Constructor Summary
`PTreeSource()`

Method Summary
`java.lang.String` | `getSystemId()` Get the system identifier that was set with setSystemId.
`DocumentInfo` | `load(Configuration config)` Read the PTree and return the DocumentInfo representing the root node of the resulting in-memory tree
`void` | `setSystemId(java.lang.String systemId)` Set the system identifier for this Source.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PTreeSource

    public PTreeSource()

Method Detail

### getSystemId

    public java.lang.String getSystemId()

  Get the system identifier that was set with setSystemId.

  Specified by:
    `getSystemId` in interface `javax.xml.transform.Source`
  Returns:
    The system identifier that was set with setSystemId, or null if setSystemId was not called.

### setSystemId

    public void setSystemId(java.lang.String systemId)

  Set the system identifier for this Source.

  The system identifier is optional if the source does not get its data from a URL, but it may still be useful to provide one. The application can use a system identifier, for example, to resolve relative URIs and to include in error messages and warnings.

  Specified by:
    `setSystemId` in interface `javax.xml.transform.Source`
  Parameters:
    `systemId` - The system identifier as a URL string.

### load

    public DocumentInfo load(Configuration config)
                      throws XPathException

  Read the PTree and return the DocumentInfo representing the root node of the resulting in-memory tree

  Throws:
    `XPathException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.